GCLOUD_SERVICE-MANAGEMENT_ENABLE(1)

NAME

gcloud service-management enable - enables a service for consumption for a project

SYNOPSIS

gcloud service-management enable SERVICE [--async] [GLOBAL-FLAG ...]

DESCRIPTION
This command enables a service for consumption for a project. To see a list of available services for a project, run:
    $ gcloud service-management list --available
More information on listing services can be found at: https://cloud.google.com/service-management/list-services and on enabling a service at: https://cloud.google.com/service-management/enable-disable#enabling_services

POSITIONAL ARGUMENTS

    SERVICE
        The name of the service to enable.

FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To enable a service called my-consumed-service on the current project, run:
    $ gcloud service-management enable my-consumed-service
To run the same command asynchronously (non-blocking), run:
    $ gcloud service-management enable my-consumed-service --async